%define gcj_support 0
%define _requires_exceptions devel.*
%define javaver 1.6.0.0
%define multilib_arches ppc64 sparc64 x86_64
%ifarch %{multilib_arches}
%define javaname        java-1.6.0-openjdk-%javaver.%{_arch}
%else
%define javaname        java-1.6.0-openjdk-%javaver
%endif

Name:           java-access-bridge
Version:        1.26.2
Release:        %mkrel 7
Epoch:          0
Summary:        Assistive technology for Java Swing applications
License:        LGPLv2+
Group:          Development/Java
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.gnome.org/
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%name/java-access-bridge-%{version}.tar.bz2
Patch0:         %{name}-jar_dir.patch
Patch1:         java-1.6.0-openjdk-java-access-bridge-tck.patch
Patch2:         java-1.6.0-openjdk-java-access-bridge-idlj.patch
BuildRequires:  at-spi-devel
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  java-rpmbuild
BuildRequires:  libbonobo-activation-devel
BuildRequires:  xprop
BuildRequires:  gtk+2-devel
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%endif

%description
This package contains the Java Access Bridge for GNOME, which connects
the built-in accessibility support in Java Swing apps to the GNOME
Accessibility framework, specifically the Assistive Technology Service
Provider Interface (at-spi).

%prep
%setup -q
%patch0 -p1 -b .jar_dir
%patch1 -p1 -b .tck
%patch2 -p1
%{_bindir}/autoreconf -i -v -f

%build
%configure2_5x --with-java-home=%{_jvmdir}/java-openjdk
#gw disable parallel make in 1.24.0 to prevent OOM errors
make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
(cd %{buildroot}%{_javadir} && %{__mv} JNav.jar jnav.jar && %{__ln_s} jnav.jar JNav.jar)
(cd %{buildroot}%{_javadir} && for jar in *.jar; do %{__mv} ${jar} `/bin/basename ${jar} .jar`-%{version}.jar; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed}  "s|-%{version}||g"`; done)

rm -f %buildroot%_libdir/*.a
rm -f %buildroot%_libdir/*.la

mkdir -p %buildroot/%_jvmdir/%javaname/jre/lib/ext/
ln -s %_libdir/libjava-access-bridge-jni.so %buildroot/%_jvmdir/%javaname/jre/lib/ext/

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libjava-access-bridge-jni.*
%_jvmdir/%javaname/jre/lib/ext/libjava-access-bridge-jni.so
%{_javadir}/*
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0:1.26.2-7.mga3
+ Revision: 354786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0:1.26.2-6.mga3
+ Revision: 343450
- Adapt to libbonobo-devel change

* Thu Sep 13 2012 dmorgan <dmorgan> 0:1.26.2-5.mga3
+ Revision: 293609
- Build with java7

* Thu Jun 09 2011 dmorgan <dmorgan> 0:1.26.2-4.mga2
+ Revision: 102455
- Remove la files

* Tue Jan 11 2011 ahmad <ahmad> 0:1.26.2-3.mga1
+ Revision: 6425
- imported package java-access-bridge

